org.apache.pdfbox.pdmodel.interactive.digitalsignature

## Interface ExternalSigningSupport

All Known Implementing Classes:
  SigningSupport

    public interface ExternalSigningSupport

Interface for external signature creation scenarios. It contains method for retrieving PDF data to be sign and setting created CMS signature to the PDF.

### Method Summary

All Methods Instance Methods Abstract Methods
`InputStream` `getContent()` Get PDF content to be signed.
`void` `setSignature(byte[] signature)` Set CMS signature bytes to PDF.

### Method Detail

#### getContent

    InputStream getContent()
                    throws IOException

Get PDF content to be signed. Obtained InputStream must be closed after use.

Returns:
  content stream
Throws:
  `IOException` - if something went wrong

#### setSignature

    void setSignature(byte[] signature)
               throws IOException

Set CMS signature bytes to PDF.

Parameters:
  `signature` - CMS signature as byte array
Throws:
  `IOException` - if exception occurred during PDF writing